<template src="./template.html"></template>

<script lang="ts">
import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import CountryFlag from "vue-country-flag";
import axios from "axios";
import { apiErrorHandler, redirectPage } from "@/utils/apiHanlers";
import { api, regexDomain } from "~/common/constaint";
import _ from "lodash";
@Component({})
export default class AdminSettingsEmailComponent extends Vue {
	isVerifyDomain = false;
	domain = "";

	onVerifyDomain() {
		if (!regexDomain.test(this.domain)) {
			return this.$pushNotification.error("Domain not valid");
		}
		this.isVerifyDomain = true;
	}
}
</script>

<style></style>

